Update a project
Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.
PATCH
/v1/projects/{id}Authorization
AuthorizationBearer token · headerrequiredWorkspace API key (`bh_…`).
Path parameters
idstringrequiredmin length 1
Request body
application/jsontitlestringmin length 1
statusstringAllowed:
draftactivesubmittedResponses
200OK
idstringrequiredcontactIdstringrequiredbuildingIdstringrequiredtitlestringrequiredtypestringrequiredAllowed:
heat-planningenergieausweisstatusstringrequiredAllowed:
draftactivesubmittedarchivedversionNumberintegerrequiredmin -9007199254740991 · max 9007199254740991
rootProjectIdstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyparentProjectIdstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyisVisibleInCustomerPortalbooleanrequiredarchivedAtstring<date-time> | anyrequiredShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anycreatedAtstring<date-time>requiredupdatedAtstring<date-time>requiredRequest
curl -X PATCH "https://app.bauhow.com/api/v1/projects/string" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "string",
"status": "draft"
}'const response = await fetch("https://app.bauhow.com/api/v1/projects/string", {
method: "PATCH",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"title": "string",
"status": "draft"
})
});import requests
response = requests.patch(
"https://app.bauhow.com/api/v1/projects/string",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"title": "string",
"status": "draft"
},
)Response
{
"id": "string",
"contactId": "string",
"buildingId": "string",
"title": "string",
"type": "heat-planning",
"status": "draft",
"versionNumber": 0,
"rootProjectId": "string",
"parentProjectId": "string",
"isVisibleInCustomerPortal": true,
"archivedAt": "2024-01-01T00:00:00Z",
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z"
}